Create Wallets (Bulk)

POST/api/v1/wallet/create/bulk

Creates multiple wallets for a single customer in one request.

Request Body

NameTypeRequiredDescription
customerIdstringYesCustomer id from create customer.
currencystringYesCurrency code (e.g. NGN).
walletarrayYesWallets to create (see schema below).
inflow_transfer_feenumberNoOptional; when supported by the wallet service.

Each object in wallet

NameTypeRequiredDescription
namestringYesUnique wallet / subaccount name.
tagstringYesWallet type tag (allowed values per your spec).
identifierstringYesStable id for this wallet (e.g. a generated UUID).
reserveAccountbooleanNotrue to create a funding / reserve virtual account when supported.
interest_enabledbooleanNoInterest accrual; default per service if omitted.
interest_ratenumberNoOptional rate override.
interest_payout_walletstringNoOptional payout wallet id.
bypass_withdrawal_limit_rulebooleanNoOptional.
wallet_idstringNoUsually omitted on create.
1
Request Example
(cURL)
curl -X POST "https://api.piggyvest.business/api/v1/wallet/create/bulk" \
-H "Authorization: Bearer YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"customerId": "53252bce-976a-4ed4-a766-a1dd3a0d95eb",
"currency": "NGN",
"wallet": [
{
"name": "USER 2 WALLET",
"tag": "expense",
"identifier": "023f843a-be7e-494a-bc5d-9f49f4cc640f",
"reserveAccount": true,
"interest_enabled": false
},
{
"name": "USER 2 SAVINGS",
"tag": "savings",
"identifier": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"reserveAccount": false,
"interest_enabled": true
}
]
}'
2
Success Response(200)
(JSON)
{
"status": true,
"message": "Bulk wallets created successfully",
"data": {}
}
3
Error Response
(JSON)
{
"status": false,
"message": "Failed to create wallets",
"data": {}
}